## API Report File for "@fluentui/react-badge"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import type { ObjectShorthandProps } from '@fluentui/react-utilities';
import * as React_2 from 'react';

// @public
export const Badge: ForwardRefComponent<BadgeProps>;

// @public (undocumented)
export type BadgeCommons = {
    appearance: 'filled' | 'ghost' | 'outline' | 'tint';
    color: 'brand' | 'danger' | 'important' | 'informative' | 'severe' | 'subtle' | 'success' | 'warning';
    iconPosition: 'before' | 'after';
    shape: 'circular' | 'rounded' | 'square';
    size: 'tiny' | 'extra-small' | 'small' | 'medium' | 'large' | 'extra-large';
};

// @public (undocumented)
export type BadgeProps = ComponentProps<Partial<BadgeSlots>> & Partial<BadgeCommons>;

// @public (undocumented)
export type BadgeSlots = {
    root: ObjectShorthandProps<React_2.HTMLAttributes<HTMLElement>>;
    icon?: ObjectShorthandProps<React_2.HTMLAttributes<HTMLElement>>;
};

// @public (undocumented)
export type BadgeState = ComponentState<BadgeSlots> & BadgeCommons;

// @public
export const CounterBadge: ForwardRefComponent<CounterBadgeProps>;

// @public (undocumented)
export type CounterBadgeCommons = {
    overflowCount: number;
    count: number;
    showZero: boolean;
    dot: boolean;
    shape: 'circular' | 'rounded';
    appearance: 'filled' | 'ghost';
};

// @public (undocumented)
export type CounterBadgeProps = Omit<BadgeProps, 'appearance' | 'shape'> & Partial<CounterBadgeCommons>;

// @public (undocumented)
export type CounterBadgeState = Omit<BadgeState, 'appearance' | 'shape'> & CounterBadgeCommons;

// @public
export const PresenceBadge: ForwardRefComponent<PresenceBadgeProps>;

// @public (undocumented)
export interface PresenceBadgeCommons {
    outOfOffice: boolean;
    status: PresenceBadgeStatus;
}

// @public (undocumented)
export type PresenceBadgeProps = BadgeProps & Partial<PresenceBadgeCommons>;

// @public (undocumented)
export type PresenceBadgeState = BadgeState & PresenceBadgeCommons;

// @public (undocumented)
export type PresenceBadgeStatus = 'busy' | 'outOfOffice' | 'away' | 'available' | 'offline' | 'doNotDisturb';

// @public (undocumented)
export const renderBadge: (state: BadgeState) => JSX.Element;

// @public
export const useBadge: (props: BadgeProps, ref: React_2.Ref<HTMLElement>) => BadgeState;

// @public
export const useBadgeStyles: (state: BadgeState) => BadgeState;

// @public
export const useCounterBadge: (props: CounterBadgeProps, ref: React_2.Ref<HTMLElement>) => CounterBadgeState;

// @public
export const useCounterBadgeStyles: (state: CounterBadgeState) => CounterBadgeState;

// @public
export const usePresenceBadge: (props: PresenceBadgeProps, ref: React_2.Ref<HTMLElement>) => PresenceBadgeState;

// @public
export const usePresenceBadgeStyles: (state: PresenceBadgeState) => PresenceBadgeState;

// (No @packageDocumentation comment for this package)

```
