## API Report File for "@fluentui/react-checkbox"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ComponentProps } from '@fluentui/react-utilities';
import { ComponentState } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { IntrinsicShorthandProps } from '@fluentui/react-utilities';
import { LabelProps } from '@fluentui/react-label';
import { ObjectShorthandProps } from '@fluentui/react-utilities';
import * as React_2 from 'react';

// @public
export const Checkbox: ForwardRefComponent<CheckboxProps>;

// @public
export interface CheckboxCommons {
    checked: 'mixed' | boolean;
    circular: boolean;
    containerClassName?: string;
    labelPosition: 'before' | 'after';
    rootId: string | undefined;
    size: 'medium' | 'large';
}

// @public
export interface CheckboxOnChangeData {
    // (undocumented)
    checked: 'mixed' | boolean;
}

// @public
export type CheckboxProps = Omit<ComponentProps<CheckboxSlots>, 'defaultChecked'> & Partial<CheckboxCommons> & {
    id?: string;
    onChange?: (ev: React_2.FormEvent<HTMLInputElement>, data: CheckboxOnChangeData) => void;
    defaultChecked?: 'mixed' | boolean;
    required?: boolean;
    disabled?: boolean;
};

// @public
export const checkboxShorthandProps: Array<keyof CheckboxSlots>;

// @public (undocumented)
export type CheckboxSlots = {
    root: ObjectShorthandProps<LabelProps> | IntrinsicShorthandProps<'span'>;
    input: IntrinsicShorthandProps<'input'>;
    indicator: IntrinsicShorthandProps<'div'>;
};

// @public
export type CheckboxState = ComponentState<CheckboxSlots> & CheckboxCommons;

// @public (undocumented)
export const renderCheckbox: (state: CheckboxState) => JSX.Element;

// @public
export const useCheckbox: (props: CheckboxProps, ref: React_2.Ref<HTMLElement>) => CheckboxState;

// @public
export const useCheckboxStyles: (state: CheckboxState) => CheckboxState;

// (No @packageDocumentation comment for this package)

```
